////////////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"TVP5154 Load RAM Code p5154_02A3.hra"

WR_REG,VID_DEC,1,0xfe,0x0f		// all decoders
WR_REG,VID_DEC,1,0x7F,0x00		// Restart TVP5150 uP
WR_REG,VID_DEC,1,0x70,0x00		// Davids TVP5150 uP

WR_REG,VID_DEC,1,0x21,0x51  // unlock password for patch code download & register write
WR_REG,VID_DEC,1,0x22,0x54  // unlock password for patch code download & register write
WR_REG,VID_DEC,1,0x23,0xFF  // unlock password for patch code download & register write
WR_REG,VID_DEC,1,0x24,0x04  // unlock password for patch code download & register write
WR_MEM,VID_DEC,p5154_02A3.hra			// Load patch code
WR_REG,VID_DEC,1,0x7F,0x00			// Restart CPU

END_DATASET

////////////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"TVP5154 ROM - Initialize for NTSC"

// Write initial settings to all 4 TVP5154 decoders

SELECT,VID_DEC,1
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,2
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,3
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,4
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

// ADV7311 I2C Registers - NTSC, all DACs Output

WR_REG,0x54,0x01,0x01,0x08	// MODE SELECT REGISTER	- CLK Align Enabled, SD Oversampled
WR_REG,0x54,0x01,0x40,0x10	// SD MODE REGISTER 0	- Selects NTSC, SSAF Luma Filter
WR_REG,0x54,0x01,0x42,0x11		//0x41	// SD MODE REGISTER 1	- Enables DAC Outputs, Pixel Data Valid, No VCR Mode, PrPb SSAF
WR_REG,0x54,0x01,0x44,0x00	// SD MODE REGISTER 3	- RTC Disabled
WR_REG,0x54,0x01,0x48,0x14	// SD MODE REGISTER 5	- Enables Double Buffering, SD 10-bit, DNR disabled
WR_REG,0x54,0x01,0x7C,0x02	// 10-bit INPUT		- Global 10-bit enable
WR_REG,0x54,0x01,0x4C,0x16	// For color in NTSC CVBS output; subcarrier freq tweak...if polling is disabled...
WR_REG,0x54,0x01,0x4D,0x7C	//
WR_REG,0x54,0x01,0x4E,0xF0	//
WR_REG,0x54,0x01,0x4F,0x21	//

// DM642 Registers - NTSC, enable image capture for all Channels

WR_REG,0x40,0x01,0x04,0x00	// Set DM642 to NTSC
WR_REG,0x40,0x01,0x05,0x00	// 
WR_REG,0x40,0x01,0x06,0x00	// 
WR_REG,0x40,0x01,0x07,0x00	// 

WR_REG,0x40,0x01,0x00,0x08	// Enable DM642 image capture for all 4 decoders first - unscaled
WR_REG,0x40,0x01,0x01,0x08	// Required for correct capture enable
WR_REG,0x40,0x01,0x02,0x08	
WR_REG,0x40,0x01,0x03,0x08

END_DATASET

////////////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"TVP5154 ROM - Initialize for PAL"

// Write initial settings to all 4 TVP5154 decoders

SELECT,VID_DEC,1
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x05,0x0C	// Enable Clock 2 output
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,2
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x05,0x0C	// Enable Clock 2 output
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,3
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x05,0x0C	// Enable Clock 2 output
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,4
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x05,0x0C	// Enable Clock 2 output
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

// ADV7311 I2C Registers - PAL, all DACs Output

WR_REG,0x54,0x01,0x01,0x08	// MODE SELECT REGISTER	- CLK Align Enabled, SD Oversampled
WR_REG,0x54,0x01,0x40,0x11	// SD MODE REGISTER 0	- Selects PAL, SSAF Luma Filter
WR_REG,0x54,0x01,0x42,0x11		//0x41	// SD MODE REGISTER 1	- Enables DAC Outputs, Pixel Data Valid, No VCR Mode, PrPb SSAF
WR_REG,0x54,0x01,0x44,0x00	// SD MODE REGISTER 3	- RTC Disabled
WR_REG,0x54,0x01,0x48,0x14	// SD MODE REGISTER 5	- Enables Double Buffering, SD 10-bit, DNR disabled
WR_REG,0x54,0x01,0x7C,0x02	// 10-bit INPUT		- Global 10-bit enable
WR_REG,0x54,0x01,0x4C,0x42	// For color in PAL CVBS output; subcarrier freq tweak...if polling is disabled...
WR_REG,0x54,0x01,0x4D,0x7B	//
WR_REG,0x54,0x01,0x4E,0x09	//
WR_REG,0x54,0x01,0x4F,0x2A	//

// DM642 Registers - PAL, enable image capture for all Channels

WR_REG,0x40,0x01,0x04,0x01	// Set DM642 to PAL
WR_REG,0x40,0x01,0x05,0x01	// 
WR_REG,0x40,0x01,0x06,0x01	// 
WR_REG,0x40,0x01,0x07,0x01	// 

WR_REG,0x40,0x01,0x00,0x08	// Enable DM642 image capture for all 4 decoders first - unscaled
WR_REG,0x40,0x01,0x01,0x08	// Required for correct capture enable
WR_REG,0x40,0x01,0x02,0x08	
WR_REG,0x40,0x01,0x03,0x08

END_DATASET

////////////////////////////////////////////////////////////////////////////////////////

// ADV7311 I2C Registers - NTSC, all DACs Output
BEGIN_DATASET

DATASET_NAME,"7311 ntsc sqr pixel"

WR_REG,0x54,0x01,0x01,0x08	// MODE SELECT REGISTER	- CLK Align Enabled, SD Oversampled
WR_REG,0x54,0x01,0x40,0x10	// SD MODE REGISTER 0	- Selects NTSC, SSAF Luma Filter
WR_REG,0x54,0x01,0x42,0x11		//0x41	// SD MODE REGISTER 1	- Enables DAC Outputs, Pixel Data Valid, No VCR Mode, PrPb SSAF
WR_REG,0x54,0x01,0x44,0x00	// SD MODE REGISTER 3	- RTC Disabled
WR_REG,0x54,0x01,0x48,0x14	// SD MODE REGISTER 5	- Enables Double Buffering, SD 10-bit, DNR disabled
WR_REG,0x54,0x01,0x7C,0x02	// 10-bit INPUT		- Global 10-bit enable
WR_REG,0x54,0x01,0x4C,0x16	// For color in NTSC CVBS output; subcarrier freq tweak...if polling is disabled...
WR_REG,0x54,0x01,0x4D,0x7C	//
WR_REG,0x54,0x01,0x4E,0xF0	//
WR_REG,0x54,0x01,0x4F,0x21	//
END_DATASET

////////////////////////////////////////////////////////////////////////////////////////

// ADV7311 I2C Registers - NTSC, all DACs Output
BEGIN_DATASET

DATASET_NAME,"7311 pal sqr pixel"

WR_REG,0x54,0x01,0x01,0x08	// MODE SELECT REGISTER	- CLK Align Enabled, SD Oversampled
WR_REG,0x54,0x01,0x40,0x11	// SD MODE REGISTER 0	- Selects PAL, SSAF Luma Filter
WR_REG,0x54,0x01,0x42,0x11		//0x41	// SD MODE REGISTER 1	- Enables DAC Outputs, Pixel Data Valid, No VCR Mode, PrPb SSAF
WR_REG,0x54,0x01,0x44,0x00	// SD MODE REGISTER 3	- RTC Disabled
WR_REG,0x54,0x01,0x48,0x14	// SD MODE REGISTER 5	- Enables Double Buffering, SD 10-bit, DNR disabled
WR_REG,0x54,0x01,0x7C,0x02	// 10-bit INPUT		- Global 10-bit enable
WR_REG,0x54,0x01,0x4C,0x42	// For color in PAL CVBS output; subcarrier freq tweak...if polling is disabled...
WR_REG,0x54,0x01,0x4D,0x7B	//
WR_REG,0x54,0x01,0x4E,0x09	//
WR_REG,0x54,0x01,0x4F,0x2A	//
END_DATASET

////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"8200 NTSC SQP"

INCLUDE,THS8200_NTSC_SQP_SETUP.INC

END_DATASET

////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"8200 PAL SQP"

INCLUDE,THS8200_PAL_SQP_SETUP.INC

END_DATASET

////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"8200 PAL SQP 944"

WR_REG,THS8200,0x01,0x32,0xD8 // dtg_speg_g_lsb      
WR_REG,THS8200,0x01,0x33,0x01 // dtg_speg_g_msb      
WR_REG,THS8200,0x01,0x34,0x03 // dtg_total_pixel_msb 
WR_REG,THS8200,0x01,0x35,0xB0 // dtg_total_pixel_lsb 

END_DATASET
